# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd-sysv-utils/systemd-sysv-utils-208.ebuild,v 1.2 2014/02/15 10:41:52 mgorny Exp $

EAPI=5

MY_P=systemd-${PV}

DESCRIPTION="sysvinit compatibility symlinks and manpages"
HOMEPAGE="http://www.freedesktop.org/wiki/Software/systemd"
SRC_URI="http://www.freedesktop.org/software/systemd/${MY_P}.tar.xz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

# new enough util-linux to have tools that were provided by sysvinit
# earlier.
RDEPEND="!sys-apps/sysvinit
	>=sys-apps/systemd-201
	>=sys-apps/util-linux-2.24.1-r2"

S=${WORKDIR}/${MY_P}/man

src_install() {
	for app in halt poweroff reboot runlevel shutdown telinit; do
		doman ${app}.8
		dosym ../usr/bin/systemctl /sbin/${app}
	done

	newman init.1 init.8
	dosym ../usr/lib/systemd/systemd /sbin/init
}
